"use strict";

var _fmtEvent = _interopRequireDefault(require("./fmtEvent"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

Component({
  properties: {
    className: {
      type: String,
      value: ''
    },
    styleSheet: {
      type: String,
      value: ''
    },
    source: {
      type: Object,
      value: {
        uri: ''
      }
    },
    resizeMode: {
      type: String,
      value: 'contain'
    },
    lazyload: {
      type: Boolean,
      value: false
    },
    mode: {
      type: String,
      value: 'scaleToFill'
    }
  },
  options: {
    styleIsolation: 'apply-shared'
  },
  methods: {
    onClick: function onClick(e) {
      var event = (0, _fmtEvent.default)(this.properties, e);
      this.triggerEvent('onClick', event);
    },
    onLoad: function onLoad(e) {
      var event = (0, _fmtEvent.default)(this.properties, e);
      this.triggerEvent('onLoad', event);
    },
    onError: function onError(e) {
      var event = (0, _fmtEvent.default)(this.properties, e);
      this.triggerEvent('onError', event);
    }
  }
});