"use strict";

exports.__esModule = true;
exports.default = void 0;

var _rax = require("rax");

var _universalEnv = require("universal-env");

var _pictureWeex = _interopRequireDefault(require("./pictureWeex"));

var _pictureDefault = _interopRequireDefault(require("./pictureDefault"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var Picture = (0, _rax.forwardRef)(function (props, ref) {
  if (_universalEnv.isWeex) {
    return (0, _rax.createElement)(_pictureWeex.default, _extends({}, props, {
      ref: ref
    }));
  } else {
    return (0, _rax.createElement)(_pictureDefault.default, _extends({}, props, {
      ref: ref
    }));
  }
});
Picture.displayName = 'Picture';
var _default = Picture;
exports.default = _default;