"use strict";

var _fmtEvent = _interopRequireDefault(require("./fmtEvent"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

Component({
  props: {
    className: '',
    style: '',
    source: {
      uri: ''
    },
    resizeMode: 'contain',
    lazyload: false,
    mode: 'scaleToFill',
    onClick: function onClick() {},
    onLoad: function onLoad() {},
    onError: function onError() {}
  },
  methods: {
    onClick: function onClick(e) {
      var event = (0, _fmtEvent.default)(this.props, e);
      this.props.onClick(event);
    },
    onLoad: function onLoad(e) {
      var event = (0, _fmtEvent.default)(this.props, e);
      this.props.onLoad(event);
    },
    onError: function onError(e) {
      var event = (0, _fmtEvent.default)(this.props, e);
      this.props.onError(event);
    }
  }
});